<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/black">

    <RelativeLayout
        android:id="@+id/rl_toolbar"
        android:layout_width="0dp"
        android:layout_height="50dp"
        android:paddingStart="13.3dp"
        android:paddingEnd="33.3dp"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent">

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_centerVertical="true"
            android:fontFamily="@font/gmarket_sans_bold"
            android:text="마이 페이지"
            android:textColor="@color/color_eeeeee"
            android:textSize="18.3sp"
            tools:ignore="RelativeOverlap" />

        <ImageView
            android:id="@+id/iv_settings"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignParentEnd="true"
            android:layout_centerVertical="true"
            android:contentDescription="@null"
            android:src="@drawable/ic_settings" />
    </RelativeLayout>

    <androidx.core.widget.NestedScrollView
        android:layout_width="0dp"
        android:layout_height="0dp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/rl_toolbar">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical"
            android:paddingHorizontal="13.3dp"
            android:paddingTop="6.7dp"
            android:paddingBottom="40dp">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:background="@drawable/bg_round_corner_16_7_222222"
                android:gravity="center_vertical"
                android:padding="20dp">

                <ImageView
                    android:id="@+id/iv_profile"
                    android:layout_width="90dp"
                    android:layout_height="90dp"
                    android:adjustViewBounds="true"
                    android:contentDescription="@null"
                    android:scaleType="centerCrop" />

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="13.3dp"
                    android:orientation="vertical">

                    <RelativeLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content">

                        <TextView
                            android:id="@+id/tv_nickname"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_alignParentStart="true"
                            android:layout_marginEnd="13.3dp"
                            android:layout_toStartOf="@+id/iv_edit"
                            android:ellipsize="end"
                            android:fontFamily="@font/gmarket_sans_bold"
                            android:maxLines="2"
                            android:textColor="@color/color_eeeeee"
                            android:textSize="20sp"
                            tools:ignore="RelativeOverlap"
                            tools:text="닉네임" />

                        <ImageView
                            android:id="@+id/iv_edit"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_alignParentEnd="true"
                            android:contentDescription="@null"
                            android:src="@drawable/ic_myinfo_edit" />

                    </RelativeLayout>

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="13.3dp"
                        android:gravity="end"
                        android:orientation="horizontal">

                        <ImageView
                            android:id="@+id/iv_website"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginEnd="10dp"
                            android:contentDescription="@null"
                            android:src="@drawable/ic_website_circle" />

                        <ImageView
                            android:id="@+id/iv_blog"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginEnd="10dp"
                            android:contentDescription="@null"
                            android:src="@drawable/ic_blog_circle" />

                        <ImageView
                            android:id="@+id/iv_instagram"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginEnd="10dp"
                            android:contentDescription="@null"
                            android:src="@drawable/ic_instagram_circle" />

                        <ImageView
                            android:id="@+id/iv_youtube"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:contentDescription="@null"
                            android:src="@drawable/ic_youtube_circle" />
                    </LinearLayout>

                </LinearLayout>
            </LinearLayout>

            <TextView
                android:id="@+id/tv_my_channel"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="26.7dp"
                android:background="@drawable/bg_round_corner_6_7_352953_9970ff"
                android:fontFamily="@font/gmarket_sans_bold"
                android:gravity="center"
                android:paddingVertical="13.3dp"
                android:text="내 채널 보기"
                android:textColor="@color/color_eeeeee"
                android:textSize="15.3sp"
                android:visibility="gone" />

            <RelativeLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="26.7dp"
                android:background="@drawable/bg_round_corner_16_7_222222"
                android:padding="13.3dp">

                <LinearLayout
                    android:id="@+id/ll_total_can"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_centerVertical="true"
                    android:orientation="horizontal"
                    tools:ignore="RelativeOverlap">

                    <TextView
                        android:id="@+id/tv_total_can"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:fontFamily="@font/gmarket_sans_bold"
                        android:gravity="center"
                        android:textColor="@color/color_eeeeee"
                        android:textSize="18.3sp"
                        tools:text="23,000" />

                    <ImageView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginStart="5.3dp"
                        android:layout_marginEnd="2.7dp"
                        android:gravity="center"
                        android:contentDescription="@null"
                        android:src="@drawable/ic_can" />

                    <ImageView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:contentDescription="@null"
                        android:gravity="center"
                        android:src="@drawable/ic_forward" />
                </LinearLayout>

                <TextView
                    android:id="@+id/tv_charge_can"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignParentEnd="true"
                    android:layout_centerVertical="true"
                    android:background="@drawable/bg_round_corner_16_7_transparent_fdca2f"
                    android:drawablePadding="3.7dp"
                    android:fontFamily="@font/gmarket_sans_bold"
                    android:gravity="center_vertical"
                    android:paddingVertical="7dp"
                    android:paddingHorizontal="11.3dp"
                    android:text="충전"
                    android:textColor="@color/color_fdca2f"
                    android:textSize="12sp"
                    app:drawableStartCompat="@drawable/ic_coin_w" />
            </RelativeLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="40dp"
                android:orientation="vertical">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:fontFamily="@font/gmarket_sans_bold"
                    android:text="예약현황"
                    android:textColor="@color/color_eeeeee"
                    android:textSize="18.3sp" />

                <LinearLayout
                    android:id="@+id/ll_reservation_live"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="13.3dp"
                    android:background="@drawable/bg_round_corner_6_7_352953_9970ff"
                    android:gravity="center"
                    android:paddingVertical="13.3dp">

                    <ImageView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:contentDescription="@null"
                        android:src="@drawable/ic_tabbar_live_selected" />

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginStart="6.7dp"
                        android:layout_marginEnd="4dp"
                        android:fontFamily="@font/gmarket_sans_medium"
                        android:text="라이브"
                        android:textColor="@color/color_eeeeee"
                        android:textSize="14.7sp" />

                    <TextView
                        android:id="@+id/tv_reservation_live"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:fontFamily="@font/gmarket_sans_medium"
                        android:textColor="@color/color_9970ff"
                        android:textSize="14.7sp"
                        tools:text="3" />
                </LinearLayout>
            </LinearLayout>

            <LinearLayout
                android:id="@+id/ll_order_list"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="40dp"
                android:orientation="vertical"
                android:visibility="gone">

                <RelativeLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:fontFamily="@font/gmarket_sans_bold"
                        android:text="구매목록"
                        android:textColor="@color/color_eeeeee"
                        android:textSize="18sp" />

                    <TextView
                        android:id="@+id/tv_all_order_list"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_alignParentEnd="true"
                        android:layout_centerVertical="true"
                        android:fontFamily="@font/gmarket_sans_medium"
                        android:text="전체보기"
                        android:textColor="@color/color_bbbbbb"
                        android:textSize="11sp" />
                </RelativeLayout>

                <androidx.recyclerview.widget.RecyclerView
                    android:id="@+id/rv_order_list"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="26.7dp" />

            </LinearLayout>

            <RelativeLayout
                android:id="@+id/rl_service_center"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="40dp"
                android:background="@drawable/bg_round_corner_6_7_664aab"
                android:paddingHorizontal="13.3dp"
                android:paddingVertical="20dp">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:drawablePadding="13.7dp"
                    android:fontFamily="@font/gmarket_sans_bold"
                    android:gravity="center"
                    android:text="소다라이브 고객센터"
                    android:textColor="@color/color_eeeeee"
                    android:textSize="15.3sp"
                    app:drawableStartCompat="@drawable/ic_headphones" />

                <ImageView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignParentEnd="true"
                    android:contentDescription="@null"
                    android:src="@drawable/ic_forward" />

            </RelativeLayout>

            <TextView
                android:id="@+id/tv_auth"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="40dp"
                android:background="@drawable/bg_round_corner_6_7_664aab"
                android:fontFamily="@font/gmarket_sans_bold"
                android:paddingHorizontal="13.3dp"
                android:paddingVertical="20dp"
                android:text="본인인증"
                android:textColor="@color/color_eeeeee"
                android:textSize="15.3sp"
                android:visibility="gone" />

            <ImageView
                android:id="@+id/iv_how_to_use"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="21.3dp"
                android:contentDescription="@null"
                android:src="@drawable/img_how_to_use" />
        </LinearLayout>
    </androidx.core.widget.NestedScrollView>
</androidx.constraintlayout.widget.ConstraintLayout>
